/**
 * DmxSimple - A simple interface to DMX.
 *
 * Copyright (c) 2008-2009 Peter Knight, Tinker.it! All rights reserved.
 */

#pragma once

#include <inttypes.h>

#if RAMEND <= 0x4FF
#define DMX_SIZE 128
#else
#define DMX_SIZE 512
#endif

class DmxSimplePlusClass {
public:
  void maxChannel(int);
  void write(int, uint8_t);
  void usePin(uint8_t);
  uint8_t read(int channel);
};
extern DmxSimplePlusClass DmxSimplePlus;
